+ Post New Thread
Page 5 of 589 FirstFirst ... 3 4 5 6 7 15 55 105 505 ... LastLast
Threads 101 to 125 of 14713

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 51,503
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 56,250
    18th Sep 2006 10:46 pm Go to last post
  1. Placing layouts in paper space

    Is there a way to put all layouts that contain a viewports (ie. the viewports are in model space) into paper space all at once for a drawing that contains many layouts and viewports? Thank you,

    Started by muck‎, 30th Sep 2016 08:30 pm
    • Replies: 1
    • Views: 237
    1st Oct 2016 11:57 am Go to last post
  2. Method for selecting multiple objects until enter/right click

    What's the method for allowing users to select multiple objects, then move onto the next step after they've right clicked or pressed enter? I recall some people using WHILE loops, combined with...

    Started by thereisnotime‎, 30th Sep 2016 07:11 pm
    • Replies: 3
    • Views: 177
    30th Sep 2016 08:08 pm Go to last post
  3. Changing Text Style of Selection

    Hi, As you'll probably realise, I'm new to AutoLISP and LISP in general. The function I'm trying to write selects the text on a layer and changes its style. Unfortunately, I'm getting nowhere...

    Started by andfcam‎, 30th Sep 2016 03:24 pm
    • Replies: 2
    • Views: 187
    30th Sep 2016 05:38 pm Go to last post
  4. How to input spherical and cylindrical coordinates with autolisp?

    I want to write a routine that converts a text file of Cartesian coordinates to either spherical or cylindrical coordinates. What is the method and format, for example for the command function to...

    Started by andrew777‎, 28th Sep 2016 04:01 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 349
    30th Sep 2016 05:34 pm Go to last post
  5. round up number in autolisp

    Hello people a beginner question lets say i do some calculations i want than round up the result of calcul to the next whole number

    Started by Qonfire‎, 10th Jul 2011 05:03 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 7,272
    30th Sep 2016 03:23 pm Go to last post
  6. help to modify the lisp?

    hello everyone, i need help in modifying a lisp.i'm sure most of u know about this lisp it's called 'DUCT'.i want to add explode command at the end of it...when u draw a duct with it.it creates a...

    Started by xpr0‎, 21st Sep 2016 08:22 am
    • Replies: 7
    • Views: 449
    30th Sep 2016 03:21 pm Go to last post
  7. I need User define Radius Elbow like 100,150 or as I want

    Hello All, I have below lisp which draw double line duct, but problem is making Radius as per width ratio, I need ratio 100, 150 or as I want, anybody can help me please, Thanks in advance

    Started by CAD USER‎, 17th Oct 2015 07:57 am
    • Replies: 8
    • Views: 1,194
    30th Sep 2016 03:03 pm Go to last post
  8. Duct lisp mods

    Hello. I have this lisp which I can't remember where I got it from and take no responsibility for the creation. But you can only draw two lengths with a bend. I would love it if you could draw...

    Started by monk‎, 18th Aug 2011 11:00 am
    • Replies: 4
    • Views: 3,446
    30th Sep 2016 02:59 pm Go to last post
  9. Need better multiline

    Hi all, I'm sure this is out there, if someone could point me in the right direction. We have acad 2002 and used to use 2000. In 2002 we have the mline command which is pretty simple. But in...

    Started by Vigilante‎, 29th Dec 2006 08:14 pm
    21 Pages
    1 2 3 ... 21
    • Replies: 203
    • Views: 95,654
    30th Sep 2016 02:55 pm Go to last post
  10. Reactors problem: layer doesn't set back

    Hi there, I've this little lisp with some reactors of command events.. the problem is that, when you've finished the command, it doesn't go back to the old layer. Where is the error? Thanks,...

    Started by MastroLube‎, 30th Sep 2016 09:17 am
    • Replies: 9
    • Views: 204
    30th Sep 2016 11:33 am Go to last post
  11. Exclamation Enter a Donut at two ends of a line. Please Help! Appreciated!

    I really need a lisp to find the ends of the lines then offset from those ends by and insert a solid "donut" at the ends of a line or multiple lines. I have the donut lisp we are currently using as...

    Started by tmelancon‎, 3rd Jun 2015 02:51 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,339
    30th Sep 2016 03:07 am Go to last post
  12. LISP function to save PDFs in same file

    Hey everyone, I am new to this whole forum thing, so I apologize if I should be starting a new thread but I do have a question related to this that I was hoping you could help with. I have...

    Started by GreenLA‎, 22nd Sep 2016 09:49 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 741
    30th Sep 2016 02:21 am Go to last post
  13. AutoCAD Lisp for rotating and exploding while insert the block

    Hi, I need a lisp code for rotate and explode when insertion of block. Thanks in advance, Dinesh P:)

    Started by gmmdinesh‎, 28th Sep 2016 05:46 pm
    • Replies: 5
    • Views: 213
    29th Sep 2016 09:16 pm Go to last post
  14. Question Lisp For Select Less than specified Length Lines

    Dear Masters, i need select the less than specified length lines and open poly lines. example i need less than 1500mm lines or open poly lines by selecting cross window. Thanks in advance,...

    Started by pvsvprasad‎, 24th Sep 2016 08:28 am
    4 Pages
    1 2 3 ... 4
    select lessthan length
    • Replies: 36
    • Views: 1,077
    29th Sep 2016 04:25 pm Go to last post
  15. Question Dynamic Block / Match Properties

    Hey everyone !! ... I have a questions... is there a lisp function that will match dynamic properties if the block is named the same. Example: If i have a distance set in one block and want 3...

    Started by JoeyG_77‎, 28th Sep 2016 08:14 pm
    • Replies: 5
    • Views: 225
    29th Sep 2016 01:02 pm Go to last post
  16. Problem with open file via lisp (script)

    Hi All! I combined lisp for making Equal Image and xrefs Names in drawing to External Images and xrefs Names ( based on Lee Mac Program) according to xrefs status (loaded/unloaded) (my aproach)...

    Started by danglar‎, 28th Sep 2016 03:32 pm
    • Replies: 4
    • Views: 187
    29th Sep 2016 10:32 am Go to last post
  17. polyline line and arc segment lengths to attributed block

    Hi, I wonder if anyone can help me. I have one LWpolyline consisting lines and one or two arcs. I want to calclulate length of all line segments and arc segments seperately and the resulted values to...

    Started by corfish‎, 19th Jan 2012 06:45 am
    • Replies: 5
    • Views: 1,619
    29th Sep 2016 03:19 am Go to last post
  18. Methods

    Hello, I'm new here. I have little knowledge about visual lisp and I wanted to ask about methods: ; Methods supported: ; AddVertex (2) ; ArrayPolar (3) ; ArrayRectangular (6) ; Copy ()...

    Started by (car (entsel))‎, 26th Sep 2016 06:32 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 432
    28th Sep 2016 08:02 pm Go to last post
  19. Can I Use AutoLISP to get volume of a Complex 3D Primitive Shape?

    Hello kind Lispers, I am wondering if someone can point me in the right direction. I have a 3D Primitive Shape, many of them actually. Picture a concrete building floor with slopes, and drain...

    Started by andy81‎, 9th Jan 2014 11:41 pm
    2 Pages
    1 2
    list, primitives, volume
    • Replies: 10
    • Views: 2,831
    28th Sep 2016 02:11 pm Go to last post
  20. Dynamic block extract to table

    Hi I'm trying to put together a LISP routine that will tabulate specific properties of numerous specific dynamic blocks in a drawing. I have manged to find the code below (Thanks to Fixo? and...

    Started by Spaj‎, 3rd Sep 2016 01:32 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 927
    28th Sep 2016 12:54 pm Go to last post
  21. Copy Plot configuration...to many plan at once?

    Hi, It's possible to "copy" a plot configuration to other plans (with many layout) at once? Actually i'm using a lisp this to copy a plot config to all other layout but in the same plan. Many...

    Started by bono05‎, 20th Sep 2016 07:45 am
    • Replies: 6
    • Views: 402
    28th Sep 2016 10:28 am Go to last post
  22. Inserting block with attributes

    From all my google searches, I know this is a common question...but I'm having trouble with it. I'm inserting a dynamic block with 2 attributes: TrunkDiameter and DripLine. What the LISP is...

    Started by thereisnotime‎, 27th Sep 2016 02:26 pm
    • Replies: 3
    • Views: 241
    28th Sep 2016 03:54 am Go to last post
  23. copy & paste to original location multiple times

    Any user here has lisp to copy an entity/entities & paste to the same location multiple times. lisp to run in this manner - select entity/entities - key in the number (to indicate how many to...

    Started by ctrlaltdel‎, 26th Sep 2016 06:43 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 423
    28th Sep 2016 01:31 am Go to last post
  24. Boundary Precision

    Hi Forum. Great tool this boundary command, but is there a way to increase precision as in attached drawing i observed that when i zoom out till all the objects are visible and pick a point...

    Started by cadsterdyne‎, 26th Sep 2016 03:39 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 566
    27th Sep 2016 07:13 pm Go to last post
  25. Is possible Append object in group using entmod?

    Hello! I am researching how to attach an object to an existing group using the entmod. Would it be possible? Can anyone provide an example? I would not want to recreate it by entmake, only...

    Started by Luís Augusto‎, 27th Sep 2016 01:24 pm
    • Replies: 2
    • Views: 160
    27th Sep 2016 02:56 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts